<?php 
defined('BASEPATH') OR exit('No direct script access allowed');

class c_template_berita_acara extends CI_Controller {

	function popup_jenis_ba(){

        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $this->load->model('generate_template/m_template_berita_acara','template');
		//$segment = $this->uri->segment_array();
        //$data['idperkara'] = $segment[3];
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }

        $data['tgl']=$this->uri->segment('4');
        //echo($data['tgl']);

        $perkara = $this->template->data_perkara($idperkara);

        foreach ($perkara->result() as $row){
        	$data['nomor_perkara'] = $row->nomor_perkara;
        	$data['alur_perkara_id'] = $row->alur_perkara_id;
        	$data['alur_perkara_nama'] = $row->alur_perkara_nama;
        }
        $data['kurator'] = $this->template->list_kurator();
        $data['penggugat'] = $this->template->get_pihak($idperkara,1);
        $data['tergugat'] = $this->template->get_pihak($idperkara,2);
        $data['template'] = $this->template->list_template($data['alur_perkara_id']);
        $data['jadwal_sidang'] = $this->template->jadwal_sidang($idperkara);

        /* ====== ambil identitas template dari db by adityo ====== */
        $this->load->model('generate_template/m_template_ambil_identitas_template','template2');     
        $template=$this->template2->getDataDocumentTemplate($data['alur_perkara_id'],'14','200','','berita acara');
        $i=0;
        foreach ($template->result() as $template)
        {
            if ($i=='0')
            {
                $judul=$template->namatemplate;
                $judul=explode("Kepada",$judul);
                $jnsperkara=$template->jnsperkara;
            }
        }

        //$data['judul']=$judul['0'];
        $data['judul']="Berita Acara Persidangan"; //override
        $data['jnsperkara']=$jnsperkara;
        /* ====== ambil identitas template dari db by adityo ====== */
        $this->load->view('generate_template/popup_berita_acara',$data,FALSE);
	}

    function popup_jenis_ba_pk(){
        //$segment = $this->uri->segment_array();
        //$data['idperkara'] = $segment[3];
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $this->load->model('generate_template/m_template_berita_acara','template');
        $perkara = $this->template->data_perkara($idperkara);
        foreach ($perkara->result() as $row){
            $data['nomor_perkara'] = $row->nomor_perkara;
            $data['alur_perkara_id'] = $row->alur_perkara_id;
            $data['alur_perkara_nama'] = $row->alur_perkara_nama;
        }

        $this->load->view('generate_template/popup_berita_acara_pk',$data,FALSE);
    }

	function cetak_ba_perdata(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

		$this->load->model('generate_template/m_template_berita_acara','template');
		$segment = $this->uri->segment_array();
        //$data['idperkara'] =$segment[3];

        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $data['nama_file'] =$segment[4];
        $penggugat = $segment[5];
        $tergugat = $segment[6];
        $data['petugas_sita'] = $segment[7];
        $kurator = $segment[8];
        $tanggalPersidangan = $segment[9];


        #Template
        $rowtmp = $this->template->get_template($data['nama_file']);
        foreach ($rowtmp->result() as $row){
        	$data['judul_cetak'] = $this->templatehelper->standradnaming($row->nama);
        }

        #Kurator
        if($kurator!=="-"){
        	$queryKurator = $this->template->get_kurator($this->encrypt->decode(base64_decode($kurator)));
        	foreach($queryKurator->result() as $row){
        		$data['nama_kurator'] = $row->nama;
        		$data['alamat_kurator'] = $row->alamat;
        	}
        }

        #Penggugat
        $penggugat=$this->encrypt->decode(base64_decode($penggugat));
        if($penggugat!=="-"){
        	$queryPenggugatx = $this->template->get_detil_pihak($penggugat);
        	foreach($queryPenggugatx->result() as $row){
        		$data['namaPenggugatx'] = $this->templatehelper->standradnaming($row->nama);
        		$data['pekerjaanPenggugatx'] = $row->pekerjaan;
        		$data['alamatTergugatx'] = $row->alamat;
        	}
        }
       

        #Tergugat
        $tergugat=$this->encrypt->decode(base64_decode($tergugat));
        if($tergugat!=="-"){
        	$queryTergugatx = $this->template->get_detil_pihak($tergugat);
        	foreach($queryPenggugatx->result() as $row){
	        	$data['namaTergugatx'] = $this->templatehelper->standradnaming($row->nama);
	        	$data['pekerjaanTergugatx'] = $row->pekerjaan;
	        	$data['alamatTergugatx'] = $row->alamat;
        //var_dump($data['namaTergugatx']);
	        }
        }

        #Persidangan
       	if($tanggalPersidangan!=="-"){
       		$querySidangx = $this->template->get_detil_sidang($tanggalPersidangan);
       		foreach($querySidangx->result() as $row){
	        	$data['tanggalPersidanganx'] = $this->templatehelper->convertKeTglIndo($row->tanggal_sidang);
	        	$data['agendaPersidanganx'] = $row->agenda;
	        }

       	}

       	#Data Panitera
   		$panitera = $this->template->panitera($idperkara);
	   	$a = 0;
	   	foreach ($panitera->result() as $row) {$a++;
	   		$data['namaPanitera'][$a] = $row->nama;
	   	}
   			
	   	$data['panitera']='';
	   	for ($i=1;$i<=count($data['namaPanitera']);$i++){
	    	if ($i==1){
	        	$data['panitera'] .= $data['namaPanitera'][$i]."\\tab Sebagai Panitera Pengganti;\\par ";
	    	}else{
	        	$data['panitera'] .= $data['namaPanitera'][$i]."\\tab Sebagai Panitera Pengganti;\\par ";	
	    	}	
		}
	
		#Data Hakim
		$hakim = $this->template->hakim($idperkara);
		$b = 0;
		foreach($hakim->result() as $row) {$b++;
			$data['namaHakim'][$b] = $row->nama;
		}

		$data['hakim_anggota']='';
		$data['hakimAnggotaTT']='';
		$data['hakim']='';
		if (count($data['namaHakim'])==1){
	    	$data['hakim'].= $data['namaHakim'][1]."\\tab Sebagai Hakim; ";
		}else{
		    for ($i=1;$i<=count($data['namaHakim']);$i++){
		        if ($i==1){
		         	$data['hakim'].= $data['namaHakim'][$i]."\\tab Sebagai Hakim Ketua;\\par "; 
		        }else{
		            $data['hakim'].= $data['namaHakim'][$i]."\\tab Sebagai Hakim Anggota;      ";
		            $data['hakimAnggotaTT'] .= "\\par \\par ".$data['namaHakim'][$i]."\\par \\par ";
		            $data['hakim_anggota'] = $data['namaHakim'][$i] ;	
		        }
		    }
		}

		$data['data_template'] = $this->template->cetak_ba_perdata($idperkara);
        $this->load->view('generate_template/cetak_berita_acara_perdata',$data,FALSE);

	}


    function cetak_ba_pidana(){
        if($this->session->userdata('is_logged_in')==FALSE){
        redirect('login'); }

        $this->load->model('generate_template/m_template_berita_acara','template');
        $segment = $this->uri->segment_array();
        //$data['idperkara'] = $segment[3];
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $data['keteranganPH'] = $segment[4];
        $data['nama_file'] = $segment[5];


        if($data['keteranganPH']!=="-"){
            if($data['keteranganPH']=='1'){
                $data['naskahPH'] = "\\t #jenisterdakwa# menerangkan tidak berkehendak didampingi oleh Penasihat Hukum "
                . "karena akan menghadapi sendiri persidangan perkara ini;";
            } else if ($data['keteranganPH']=='2'){
                $data['naskahPH'] = "\\t #jenisterdakwa# menerangkan akan didampingi oleh Penasihat Hukum "
                . "dan sudah siap pada persidangan ini, yaitu … , Penasihat Hukum, "
                . "berkantor di Jalan …, berdasarkan Surat Kuasa Khusus "
                . "Nomor ... tanggal …, Surat Kuasa Khusus tersebut setelah "
                . "diteliti oleh Hakim Ketua lalu diperlihatkan kepada "
                . "Penuntut Umum selanjutnya dilampirkan dalam berkas perkara";
            } else if ($data['keteranganPH']=='3'){
                $data['naskahPH'] = "\\t #jenisterdakwa# menerangkan dalam keadaan tidak mampu "
                . "akan tetapi ingin didampingi oleh Penasihat Hukum;\\line     "
                . "\\t Kemudian Majelis Hakim menunjuk …, Penasihat Hukum, berkantor di Jalan …, "
                . "berdasarkan Surat Penetapan tanggal … Nomor … /Pid.../…/PN…., "
                . "surat penetapan tersebut setelah dibacakan oleh Hakim Ketua lalu dilampirkan dalam berkas perkara";
            } else if ($data['keteranganPH']=='4'){
                $data['naskahPH'] = "\\t Kemudian Majelis Hakim menunjuk …, Penasihat Hukum, berkantor di Jalan …, "
                . "berdasarkan Surat Penetapan tanggal …  Nomor … /Pid.../…/PN…, "
                . "surat penetapan tersebut setelah dibacakan oleh Hakim Ketua lalu dilampirkan dalam berkas perkara;";
            } else if ($data['keteranganPH']=='5'){
                $data['naskahPH'] = "\\t #jenisterdakwa# menerangkan tidak bersedia didampingi oleh Penasihat Hukum "
                . "meskipun Majelis Hakin telah menunjuk;";
            }
        }

        #Template
        $rowtmp = $this->template->get_template($data['nama_file']);
        foreach ($rowtmp->result() as $row){
            $data['judul_cetak'] = $this->templatehelper->standradnaming($row->nama);
        }

        #Data Panitera
        $panitera = $this->template->panitera($idperkara);
        $a = 0;
        foreach ($panitera->result() as $row) {$a++;
            $data['namaPanitera'][$a] = $row->nama;
        }
            
        $data['panitera'] ='';
        for ($i=1;$i<=count($data['namaPanitera']);$i++){
            if ($i==1){
                $data['panitera'] .= $data['namaPanitera'][$i]."\\tab Sebagai Panitera Pengganti;\\par ";
            }else{
                $data['panitera'] .= $data['namaPanitera'][$i]."\\tab Sebagai Panitera Pengganti;\\par "; 
            }   
        }
    
        #Data Hakim
        $hakim = $this->template->hakim($idperkara);
        $b = 0;
        foreach($hakim->result() as $row) {$b++;
            $data['namaHakim'][$b] = $row->nama;
        }

        $data['hakim_anggota']='';
        $data['hakimAnggotaTT']='';
        $data['hakim']='';
        $data['jenisHakim']='';
        if (count($data['namaHakim'])==1){
            $data['hakim'].= $data['namaHakim'][1]."\\tab Sebagai Hakim; ";
        }else{
            $data['jenisHakim'] = "Majelis Hakim";
            for ($i=1;$i<=count($data['namaHakim']);$i++){
                if ($i==1){
                    $data['hakim'].= $data['namaHakim'][$i]."\\tab Sebagai Hakim Ketua;\\par ";
                }else{
                    $data['hakim'].= $data['namaHakim'][$i]." \\tab Sebagai Hakim Anggota;\\par ";
                    $data['hakimAnggotaTT'] .= "\\par \\par ".$data['namaHakim'][$i]."\\par \\par ";
                    $data['hakim_anggota'] = $data['namaHakim'][$i] ;   
                }
            }
        }

        

        $data['data_template'] = $this->template->cetak_ba_pidana($idperkara);
        $this->load->view('generate_template/cetak_berita_acara_pidana',$data,FALSE);

    }

    function cetak_ba_pk(){
        $segment = $this->uri->segment_array();
        //$data['idperkara'] = $segment[3];
        $data['enc']=$this->uri->segment('3');
        $idperkara=$this->encrypt->decode(base64_decode($data['enc']));
        if(!is_numeric($idperkara) OR !intval($idperkara)>0){
            show_404();
            exit();
        }   
        $data['nama_file'] = $segment[4];

        $this->load->model('generate_template/m_template_berita_acara','template');
        #Template
        $rowtmp = $this->template->get_template($data['nama_file']);
        foreach ($rowtmp->result() as $row){
            $data['judul_cetak'] = $this->templatehelper->standradnaming($row->nama);
        }
        
        $perkara = $this->template->cetak_ba_pk($idperkara);
            $data['nomorPerkaraPN'] = $perkara->row()->nomorPerkaraPN;
            $data['tanggalPutusanPN'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalPutusanPN);
            $data['tanggalPermohonanPK'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalPermohonanPK);
            $data['nomorPerkaraBanding'] = $perkara->row()->nomorPerkaraBanding;
            $data['tanggalPutusanBanding'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalPutusanBanding);
            $data['nomorPerkaraKasasi'] = $perkara->row()->nomorPerkaraKasasi;
            $data['tanggalPutusanKasasi'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalPutusanKasasi);
            $data['pendapatJaksa'] = $perkara->row()->pendapatJaksa;
            $data['pendapatHakim'] = $perkara->row()->pendapatHakim;
            $data['amarPutusanPK'] = $this->templatehelper->cleanHtmlTag($perkara->row()->amarPutusanPK);
            $data['statusDiwakili'] = $perkara->row()->statusDiwakili;
            $data['tanggalSuratPemohon'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalSuratPemohon);
            $data['nomorSuratPemohon'] = $perkara->row()->nomorSuratPemohon;
            $data['alasanPK'] = $this->templatehelper->cleanHtmlTag($perkara->row()->alasanPK);
            $data['namaPihak'] = $this->templatehelper->standradnaming($perkara->row()->namaPihak);
            $data['agamaPihak'] = $perkara->row()->agamaPihak;
            $data['alamatPihak'] = $this->templatehelper->standradnaming($perkara->row()->alamatPihak);
            $data['kelaminPihak'] = $perkara->row()->kelaminPihak;
            $data['pekerjaanPihak'] = $this->templatehelper->standradnaming($perkara->row()->pekerjaanPihak);
            $data['pendidikanPihak'] = $this->templatehelper->standradnaming($perkara->row()->pendidikanPihak);
            $data['tempatLahirPihak'] = $this->templatehelper->standradnaming($perkara->row()->tempatLahirPihak);
            $data['tanggalLahirPihak'] = $this->templatehelper->convertKeTglIndo($perkara->row()->tanggalLahirPihak);
            $data['negaraPihak'] = $perkara->row()->negaraPihak;
            $data['namaJaksa'] = $this->templatehelper->standradnaming($perkara->row()->namaJaksa);
            $data['jenisPemohon'] = $perkara->row()->jenisPemohon;
            $data['namaPN'] = $this->templatehelper->standradnaming($perkara->row()->namaPN);
            $data['ketuaPN'] = $this->templatehelper->standradnaming($perkara->row()->ketuaPN);
            $data['alamatPN'] = $this->templatehelper->standradnaming($perkara->row()->alamatPN);
            $data['namaPT'] = $this->templatehelper->standradnaming($perkara->row()->namaPT);
            $data['namaPansek'] = $this->templatehelper->standradnaming($perkara->row()->namaPansek);
            $data['zonaWaktu'] = $perkara->row()->zonaWaktu;
            $data['hakim1_pk'] = $this->templatehelper->standradnaming($perkara->row()->hakim1_pk);
            $data['hakim2_pk'] = $this->templatehelper->standradnaming($perkara->row()->hakim2_pk);
            $data['hakim3_pk'] = $this->templatehelper->standradnaming($perkara->row()->hakim3_pk);
            $data['hakim4_pk'] = $this->templatehelper->standradnaming($perkara->row()->hakim4_pk);
            

        $this->load->view('generate_template/cetak_berita_acara_peninjauan_kembali',$data,FALSE);

    }
    function cetak_ba_prapid(){
        $this->load->model('generate_template/m_template_berita_acara','template');
        $segment = $this->uri->segment_array();
        $data['idperkara'] =$this->encrypt->decode(base64_decode($segment[3]));
        $data['nama_file'] =$segment[4];
        #Template
        $rowtmp = $this->template->get_template($data['nama_file']);
        foreach ($rowtmp->result() as $row){
            $data['judul_cetak'] = $this->templatehelper->standradnaming($row->nama);
        }
        $data['dataPerkara'] = $this->template->cetak_ba_perdata($data['idperkara']);
        $this->load->view('generate_template/cetak_berita_acara_prapidana',$data,FALSE);

    }

}
?>